package format

import (
	"git.r-2.top/kunmeng/vdk/av/avutil"
	"git.r-2.top/kunmeng/vdk/format/aac"
	"git.r-2.top/kunmeng/vdk/format/flv"
	"git.r-2.top/kunmeng/vdk/format/mp4"
	"git.r-2.top/kunmeng/vdk/format/rtmp"
	"git.r-2.top/kunmeng/vdk/format/rtsp"
	"git.r-2.top/kunmeng/vdk/format/ts"
)

func RegisterAll() {
	avutil.DefaultHandlers.Add(mp4.Handler)
	avutil.DefaultHandlers.Add(ts.Handler)
	avutil.DefaultHandlers.Add(rtmp.Handler)
	avutil.DefaultHandlers.Add(rtsp.Handler)
	avutil.DefaultHandlers.Add(flv.Handler)
	avutil.DefaultHandlers.Add(aac.Handler)
}
